VarSetterBaseTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.VarSetterBaseTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class VarSetterBaseTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.VarSetterBaseTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AddToListColsTag, AddToListSizeTag, AddToListValuesTag, ConfigTag, DateFormatter, HelpTag, NavMapSupportedTag, OwnerTag, PageSizeTag

    public class VarSetterBaseTag

extends javax.servlet.jsp.tagext.TagSupport

Subclass of `TagSupport` that acts as a base class for tags that set scoped variables.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`VarSetterBaseTag()`

Method Summary
`java.lang.String` | `getVar()`
`void` | `release()` Release tag state.
`void` | `setScope(java.lang.String scope)`
`protected void` | `setScopedVariable(java.lang.Object value)`
`void` | `setVar(java.lang.String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarSetterBaseTag

    public VarSetterBaseTag()

Method Detail

### setScope

    public void setScope(java.lang.String scope)

### getVar

    public java.lang.String getVar()

### setVar

    public void setVar(java.lang.String var)

### setScopedVariable

    protected void setScopedVariable(java.lang.Object value)

### release

    public void release()

  Release tag state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.